# CatAsk on Docker (or Podman)

## Prerequisites

- Docker + `docker-compose` (or Podman + `podman-compose`)

## Steps

Before starting CatAsk, you must copy the configuration files to their proper places first:

```sh
cp config.example.json config.json
cp .env.example .env
```

Then, paste this into the `.env` file, and replace sections that are marked with `[CHANGE THIS]`.

```env
DB_HOST = postgres
DB_NAME = catask
DB_USER = catask
DB_PASS = catask
DB_PORT = 5432
ADMIN_PASSWORD = [CHANGE THIS]
APP_SECRET = [CHANGE THIS]
```

You may now start CatAsk:

```sh
docker compose up
```

If you have done everything correctly, going to `http://localhost:8000` in your browser should show a question box screen. You may now log in with your admin password, and configure the instance.
